Subject: Re: include/asm-ppc/platforms/

From: Armin Kuster <[email-masked]>
Date: Fri, 30 Nov 2001 16:19:12 -0800

Paul Mackerras wrote:
>
> Basically I want the knowledge that "because this is a 405gp chip we
> must have an XYZ ethernet controller at address FOO using interrupt
> N" to be concentrated in one place, not spread out through the
> code.  Then when IBM brings out a 405gp-A that has two XYZ's (neither
> of which are at the same address as in the 405gp) there is just one
> place that we have to change.
>

Exactly.

Actual its an issue for the NP405H & L.  I will outline how this can be
addressed soon + all the other 4xx internal pripherials.

> Paul.

--armin

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/